{
  onSideStart(side) {
    this.add("-sidestart", side, "move: Live Wire");
  },
  onEntryHazard(pokemon) {
    if (!pokemon.isGrounded())
      return;
    if (pokemon.hasType("Electric")) {
      this.add("-sideend", pokemon.side, "move: Live Wire", "[of] " + pokemon);
      pokemon.side.removeSideCondition("livewire");
    } else if (pokemon.hasAbility("technician")) {
      this.add("-ability", pokemon, "Technician");
      this.add("-sideend", pokemon.side, "move: Live Wire", "[of] " + pokemon);
      pokemon.side.removeSideCondition("livewire");
    } else if (pokemon.hasType("Ground") || pokemon.hasItem("heavydutyboots")) {
      return;
    } else {
      pokemon.trySetStatus("par", pokemon.side.foe.active[0]);
    }
  }
}